<?php
   if (!defined('ABSPATH')){ exit; }

   global $funden_post, $post;
   if( !$funden_post ){ return; }
   if( $funden_post->post_type != 'product' ){ return; }

   if(\Elementor\Plugin::$instance->editor->is_edit_mode()){
   }
   global $product;
   $post_id = $funden_post->ID;
   $post = $funden_post;
   $product = wc_get_product($post_id);
   $end_method = get_post_meta(get_the_ID(), 'wpneo_campaign_end_method', true);
?>

<div class="campaign-funding-info end_method-<?php echo esc_attr($end_method) ?>">
   <?php foreach ($info_content as $item): ?>
      <?php 
         $type = $item['type'];
         $title = $item['title'];
      ?>
      <div class="each-info">
         <div class="info-inner">
            <div class="info-value">
               <?php 
                  if($type == 'pledged'){
                     $raised = 0;
                     $total_raised = wpcf_function()->get_total_fund();
                     $raised = $total_raised ? $total_raised : 0;
                     echo wc_price($raised);
                  }

                  if($type == 'backers'){
                     echo wpcf_function()->get_total_backers();
                  }

                  if($type == 'days_left'){
                     if($end_method != 'never_end'){ 
                        echo '<div class="camapign-time_remaining info-item">';
                           wpcf_function()->template('include/loop/time_remaining');
                        echo '</div>';
                      }else{
                        echo esc_html__('Never End', 'funden-themer');
                     } 
                  }
               ?>
            </div>
            <?php if($title){ ?>
               <div class="info-text"><?php echo esc_html($title) ?></div>
            <?php } ?>
         </div>   
      </div>
   <?php endforeach; ?> 
</div>